org.apache.tapestry5.services.transform

## Enum ControlledPackageType

- java.lang.Object
- - java.lang.Enum<ControlledPackageType>
  - - org.apache.tapestry5.services.transform.ControlledPackageType

- All Implemented Interfaces:
    Serializable, Comparable<ControlledPackageType>

      public enum ControlledPackageType
      extends Enum<ControlledPackageType>

  Defines how a particular controlled package is processed. Currently there is only one option, but further options (to allow a package to be reloaded but not transformed, and to allow a package to be transformed but not as components) may be supported in the future.
  Since:
    5.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPONENT` Top-level classes within the packages are components, that are transformed according to `ComponentClassTransformWorker2`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ControlledPackageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ControlledPackageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPONENT

          public static final ControlledPackageType COMPONENT

      Top-level classes within the packages are components, that are transformed according to `ComponentClassTransformWorker2`. All top-level classes must be components.

  - ### Method Detail

    - #### values

          public static ControlledPackageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ControlledPackageType c : ControlledPackageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ControlledPackageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.